# Visa Merchant Screening Service
Visa Merchant Screening Service is a tool where Visa acquirers to list complete information for each Merchant or 'Agent' terminated for cause, and to search for Merchants or 'Agents' for boarding decisions per Visa Rules. 

## Version: 1

### Servers

| URL | Description |
| --- | ----------- |
| https://sandbox.api.visa.com | Sandbox server |

---
## Termination Inquiry APIs
Termination Inquiry API allows Acquirers to identify Merchants and Agents terminated by other Acquirers and pull the termination details directly from the Terminated Listing Database.

### [POST] /vmss/v2/retroAlertTerminated
**Get Retroactive Alert**

#### Parameters

| Name | Located in | Description | Required | Schema | Style | Explode |
| ---- | ---------- | ----------- | -------- | ------ | ----- | ------- |
| Content-Type | header | application/json | No | string | simple | No |
| request-message-id | header | A user-defined message identifier for the request submitted. | No | string | simple | No |
| request-message-ts | header | A user-entered date and timestamp in GMT for the request submitted. | No | string | simple | No |

#### Request Body

RetroActive Alert of Terminated Merchants or Agent

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"retroAlertsRequest"**: { **"pageSize"**: integer, **"pageOffset"**: integer, **"acquirerBID"**: string, **"alertEndDate"**: string, **"alertStartDate"**: string, **"acquirerCountryOrRegion"**: string } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 200 | API000 Success<br>**Headers:**<br>**request-message-id**: A user-defined message identifier for the request submitted.<br>**response-message-id**: A system-generated message identifier for the response sent.<br>**response-message-ts**: A system-generated date and timestamp in GMT for the response sent.<br>**receive-message-ts**: A system-generated date and timestamp in GMT upon receipt of the request.<br>**request-message-ts**: A user-entered date and timestamp in GMT for the request submitted.<br> | **application/json**: { **"status"**: { **"statusCode"**: string, **"statusDescription"**: string }, **"retroAlertsResponse"**: { **"pageSize"**: integer, **"pageOffset"**: integer, **"retroSearchRequestAndAlerts"**: [ { **"alertDate"**: string, **"searchDate"**: string, **"possibleMatches"**: { **"alertRecords"**: [ { **"acquirerBID"**: string, **"acquirerName"**: string, **"terminatedRefID"**: string, **"terminatedRecord"**: { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"cardAcceptorIDs"**: [ string ], **"contractEndDate"**: string, **"contractStartDate"**: string, **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"incorportationStatus"**: string, **"primaryListingReason"**: string, **"tradeInternationally"**: boolean, **"merchantCategoryCodes"**: [ string ], **"paymentFacilitatorBID"**: string, **"secondaryListingReason"**: string, **"acquirerAssignedMerchantID"**: string, **"businessRegistrationNumber"**: string, **"paymentFacilitatorCountryOrRegion"**: string }, **"terminatedRecordMatch"**: { **"taxID"**: string, **"DBAName"**: string, **"legalName"**: string, **"addressMatch"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"webAddresses"**: string, **"principalsMatch"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"tradeOverInternet"**: string, **"financialAcctsMatch"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: string, **"merchantCategoryCodes"**: string, **"businessRegistrationNumber"**: string }, **"acquirerCountryOrRegion"**: string } ], **"totalAlertCount"**: integer }, **"retroSearchRequest"**: { **"acquirerBID"**: string, **"globalSearch"**: boolean, **"acquirerCountryOrRegion"**: string, **"retroSearchRequestRefID"**: string, **"terminatedRecordSearchCriteria"**: { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"merchantCategoryCodes"**: [ string ], **"businessRegistrationNumber"**: string } } } ], **"numSearchRequestRecordsTotal"**: integer, **"numSearchRequestRecordsReturned"**: integer } }<br> |
| 400 | API001 Mandatary field (with name) is missing or validation Error with (field names). <br>**Headers:**<br>**request-message-id**: A user-defined message identifier for the request submitted.<br>**response-message-id**: A system-generated message identifier for the response sent.<br>**response-message-ts**: A system-generated date and timestamp in GMT for the response sent.<br>**receive-message-ts**: A system-generated date and timestamp in GMT upon receipt of the request.<br>**request-message-ts**: A user-entered date and timestamp in GMT for the request submitted.<br> |  |
| 401 | API004 Unauthorized<br>**Headers:**<br>**request-message-id**: A user-defined message identifier for the request submitted.<br>**response-message-id**: A system-generated message identifier for the response sent.<br>**response-message-ts**: A system-generated date and timestamp in GMT for the response sent.<br>**receive-message-ts**: A system-generated date and timestamp in GMT upon receipt of the request.<br>**request-message-ts**: A user-entered date and timestamp in GMT for the request submitted.<br> |  |
| 403 | API007 Forbidden<br>**Headers:**<br>**request-message-id**: A user-defined message identifier for the request submitted.<br>**response-message-id**: A system-generated message identifier for the response sent.<br>**response-message-ts**: A system-generated date and timestamp in GMT for the response sent.<br>**receive-message-ts**: A system-generated date and timestamp in GMT upon receipt of the request.<br>**request-message-ts**: A user-entered date and timestamp in GMT for the request submitted.<br> |  |
| 404 | API002 Data/Resource Not Found<br>**Headers:**<br>**request-message-id**: A user-defined message identifier for the request submitted.<br>**response-message-id**: A system-generated message identifier for the response sent.<br>**response-message-ts**: A system-generated date and timestamp in GMT for the response sent.<br>**receive-message-ts**: A system-generated date and timestamp in GMT upon receipt of the request.<br>**request-message-ts**: A user-entered date and timestamp in GMT for the request submitted.<br> |  |
| 405 | API008 Method Not Allowed<br>**Headers:**<br>**request-message-id**: A user-defined message identifier for the request submitted.<br>**response-message-id**: A system-generated message identifier for the response sent.<br>**response-message-ts**: A system-generated date and timestamp in GMT for the response sent.<br>**receive-message-ts**: A system-generated date and timestamp in GMT upon receipt of the request.<br>**request-message-ts**: A user-entered date and timestamp in GMT for the request submitted.<br> |  |
| 406 | API009 Unacceptable Media Type<br>**Headers:**<br>**request-message-id**: A user-defined message identifier for the request submitted.<br>**response-message-id**: A system-generated message identifier for the response sent.<br>**response-message-ts**: A system-generated date and timestamp in GMT for the response sent.<br>**receive-message-ts**: A system-generated date and timestamp in GMT upon receipt of the request.<br>**request-message-ts**: A user-entered date and timestamp in GMT for the request submitted.<br> |  |
| 500 | API003 Process failure (can be back end failures)<br>**Headers:**<br>**request-message-id**: A user-defined message identifier for the request submitted.<br>**response-message-id**: A system-generated message identifier for the response sent.<br>**response-message-ts**: A system-generated date and timestamp in GMT for the response sent.<br>**receive-message-ts**: A system-generated date and timestamp in GMT upon receipt of the request.<br>**request-message-ts**: A user-entered date and timestamp in GMT for the request submitted.<br> |  |

### [POST] /vmss/v2/searchTerminatedRequest
**Search Terminated Merchant**

Search terminated merchant API

#### Parameters

| Name | Located in | Description | Required | Schema | Style | Explode |
| ---- | ---------- | ----------- | -------- | ------ | ----- | ------- |
| Content-Type | header | application/json | No | string | simple | No |
| request-message-id | header | A user-defined message identifier for the request submitted. | No | string | simple | No |
| request-message-ts | header | A user-entered date and timestamp in GMT for the request submitted. | No | string | simple | No |

#### Request Body

Search Terminated Merchants or Agent

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"searchTerminatedRequest"**: { **"acquirerBID"**: string, **"globalSearch"**: boolean, **"retroAlertIfNoMatch"**: boolean, **"acquirerCountryOrRegion"**: string, **"terminatedRecordSearchCriteria"**: { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"merchantCategoryCodes"**: [ string ], **"businessRegistrationNumber"**: string } } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 200 | API000 Success<br>**Headers:**<br>**request-message-id**: A user-defined message identifier for the request submitted.<br>**response-message-id**: A system-generated message identifier for the response sent.<br>**response-message-ts**: A system-generated date and timestamp in GMT for the response sent.<br>**receive-message-ts**: A system-generated date and timestamp in GMT upon receipt of the request.<br>**request-message-ts**: A user-entered date and timestamp in GMT for the request submitted.<br> | **application/json**: { **"status"**: { **"statusCode"**: string, **"statusDescription"**: string }, **"searchTerminatedResponse"**: { **"possibleMatches"**: { **"totalCount"**: integer, **"matchedRecords"**: [ { **"acquirerBID"**: string, **"acquirerName"**: string, **"terminatedRefID"**: string, **"terminatedRecord"**: { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"cardAcceptorIDs"**: [ string ], **"contractEndDate"**: string, **"contractStartDate"**: string, **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"incorportationStatus"**: string, **"primaryListingReason"**: string, **"tradeInternationally"**: boolean, **"merchantCategoryCodes"**: [ string ], **"paymentFacilitatorBID"**: string, **"secondaryListingReason"**: string, **"acquirerAssignedMerchantID"**: string, **"businessRegistrationNumber"**: string, **"paymentFacilitatorCountryOrRegion"**: string }, **"terminatedRecordMatch"**: { **"taxID"**: string, **"DBAName"**: string, **"legalName"**: string, **"addressMatch"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"webAddresses"**: string, **"principalsMatch"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"tradeOverInternet"**: string, **"financialAcctsMatch"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: string, **"merchantCategoryCodes"**: string, **"businessRegistrationNumber"**: string }, **"acquirerCountryOrRegion"**: string } ] }, **"searchRequestRef"**: { **"acquirerBID"**: string, **"globalSearch"**: boolean, **"searchRequestRefID"**: string, **"acquirerCountryOrRegion"**: string, **"terminatedRecordSearchCriteria"**: { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"merchantCategoryCodes"**: [ string ], **"businessRegistrationNumber"**: string } } } }<br> |
| 400 | API001 Mandatary field (with name) is missing or validation Error with (field names).<br>**Headers:**<br>**request-message-id**: A user-defined message identifier for the request submitted.<br>**response-message-id**: A system-generated message identifier for the response sent.<br>**response-message-ts**: A system-generated date and timestamp in GMT for the response sent.<br>**receive-message-ts**: A system-generated date and timestamp in GMT upon receipt of the request.<br>**request-message-ts**: A user-entered date and timestamp in GMT for the request submitted.<br> |  |
| 401 | API004 Unauthorized<br>**Headers:**<br>**request-message-id**: A user-defined message identifier for the request submitted.<br>**response-message-id**: A system-generated message identifier for the response sent.<br>**response-message-ts**: A system-generated date and timestamp in GMT for the response sent.<br>**receive-message-ts**: A system-generated date and timestamp in GMT upon receipt of the request.<br>**request-message-ts**: A user-entered date and timestamp in GMT for the request submitted.<br> |  |
| 403 | API007 Forbidden<br>**Headers:**<br>**request-message-id**: A user-defined message identifier for the request submitted.<br>**response-message-id**: A system-generated message identifier for the response sent.<br>**response-message-ts**: A system-generated date and timestamp in GMT for the response sent.<br>**receive-message-ts**: A system-generated date and timestamp in GMT upon receipt of the request.<br>**request-message-ts**: A user-entered date and timestamp in GMT for the request submitted.<br> |  |
| 404 | API002 Data/Resource Not Found<br>**Headers:**<br>**request-message-id**: A user-defined message identifier for the request submitted.<br>**response-message-id**: A system-generated message identifier for the response sent.<br>**response-message-ts**: A system-generated date and timestamp in GMT for the response sent.<br>**receive-message-ts**: A system-generated date and timestamp in GMT upon receipt of the request.<br>**request-message-ts**: A user-entered date and timestamp in GMT for the request submitted.<br> |  |
| 405 | API008 Method Not Allowed<br>**Headers:**<br>**request-message-id**: A user-defined message identifier for the request submitted.<br>**response-message-id**: A system-generated message identifier for the response sent.<br>**response-message-ts**: A system-generated date and timestamp in GMT for the response sent.<br>**receive-message-ts**: A system-generated date and timestamp in GMT upon receipt of the request.<br>**request-message-ts**: A user-entered date and timestamp in GMT for the request submitted.<br> |  |
| 406 | API009 Unacceptable Media Type<br>**Headers:**<br>**request-message-id**: A user-defined message identifier for the request submitted.<br>**response-message-id**: A system-generated message identifier for the response sent.<br>**response-message-ts**: A system-generated date and timestamp in GMT for the response sent.<br>**receive-message-ts**: A system-generated date and timestamp in GMT upon receipt of the request.<br>**request-message-ts**: A user-entered date and timestamp in GMT for the request submitted.<br> |  |
| 500 | API003 Process failure (can be back end failures)<br>**Headers:**<br>**request-message-id**: A user-defined message identifier for the request submitted.<br>**response-message-id**: A system-generated message identifier for the response sent.<br>**response-message-ts**: A system-generated date and timestamp in GMT for the response sent.<br>**receive-message-ts**: A system-generated date and timestamp in GMT upon receipt of the request.<br>**request-message-ts**: A user-entered date and timestamp in GMT for the request submitted.<br> |  |

---
### Schemas

#### alertRecords Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| alertRecords | [ { **"acquirerBID"**: string, **"acquirerName"**: string, **"terminatedRefID"**: string, **"terminatedRecord"**: { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"cardAcceptorIDs"**: [ string ], **"contractEndDate"**: string, **"contractStartDate"**: string, **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"incorportationStatus"**: string, **"primaryListingReason"**: string, **"tradeInternationally"**: boolean, **"merchantCategoryCodes"**: [ string ], **"paymentFacilitatorBID"**: string, **"secondaryListingReason"**: string, **"acquirerAssignedMerchantID"**: string, **"businessRegistrationNumber"**: string, **"paymentFacilitatorCountryOrRegion"**: string }, **"terminatedRecordMatch"**: { **"taxID"**: string, **"DBAName"**: string, **"legalName"**: string, **"addressMatch"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"webAddresses"**: string, **"principalsMatch"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"tradeOverInternet"**: string, **"financialAcctsMatch"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: string, **"merchantCategoryCodes"**: string, **"businessRegistrationNumber"**: string }, **"acquirerCountryOrRegion"**: string } ] |  |  |

#### searchTerminatedRequest Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| acquirerBID | string | Visa assigned Business Identifier (BID) of the Acquirer for the Search request.<br>*Example:* `"10048640"` | Yes |
| globalSearch | boolean | An indicator identifying if the inquiry is worldwide or regional based. True means Global Search and False means Regional Search.<br>*Example:* `false` | Yes |
| retroAlertIfNoMatch | boolean | Add an alert so that VMSS saves the inquiry for 180 days and checks the inquiry against all new terminated records that are listed within the next 180 days. If your inquiry matches a new terminated record, VMSS will generate a retroactive alert.<br>*Example:* `false` | No |
| acquirerCountryOrRegion | string | The country of the Acquirer for the Search request.<br>*Example:* `"JP"` | Yes |
| terminatedRecordSearchCriteria | { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"merchantCategoryCodes"**: [ string ], **"businessRegistrationNumber"**: string } |  | Yes |

#### retroAlertTerminatedRequest Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| retroAlertsRequest | { **"pageSize"**: integer, **"pageOffset"**: integer, **"acquirerBID"**: string, **"alertEndDate"**: string, **"alertStartDate"**: string, **"acquirerCountryOrRegion"**: string } |  | No |

#### principalsRecord Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| principalsRecord | [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ] |  |  |

#### matchedRecord Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| acquirerBID | string | Visa assigned Business Identifier (BID) of the Acquirer for the terminated contract.<br>*Example:* `"10048640"` | No |
| acquirerName | string | Name of the Acquirer for the terminated contract.<br>*Example:* `"Bank of ABC "` | No |
| terminatedRefID | string | A system-generated terminated record reference identification number.<br>*Example:* `"61e8aa42-d252-4e74-9dcc-85134f37a181"` | No |
| terminatedRecord | { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"cardAcceptorIDs"**: [ string ], **"contractEndDate"**: string, **"contractStartDate"**: string, **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"incorportationStatus"**: string, **"primaryListingReason"**: string, **"tradeInternationally"**: boolean, **"merchantCategoryCodes"**: [ string ], **"paymentFacilitatorBID"**: string, **"secondaryListingReason"**: string, **"acquirerAssignedMerchantID"**: string, **"businessRegistrationNumber"**: string, **"paymentFacilitatorCountryOrRegion"**: string } |  | No |
| terminatedRecordMatch | { **"taxID"**: string, **"DBAName"**: string, **"legalName"**: string, **"addressMatch"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"webAddresses"**: string, **"principalsMatch"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"tradeOverInternet"**: string, **"financialAcctsMatch"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: string, **"merchantCategoryCodes"**: string, **"businessRegistrationNumber"**: string } |  | No |
| acquirerCountryOrRegion | string | The country of the Acquirer for the terminated contract. <br>*Example:* `"JP"` | No |

#### addressMatch Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| city | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |
| streetAddress | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |
| countryOrRegion | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |
| stateOrProvince | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |
| zipOrPostalCode | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |

#### possibleMatches Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| alertRecords | [ { **"acquirerBID"**: string, **"acquirerName"**: string, **"terminatedRefID"**: string, **"terminatedRecord"**: { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"cardAcceptorIDs"**: [ string ], **"contractEndDate"**: string, **"contractStartDate"**: string, **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"incorportationStatus"**: string, **"primaryListingReason"**: string, **"tradeInternationally"**: boolean, **"merchantCategoryCodes"**: [ string ], **"paymentFacilitatorBID"**: string, **"secondaryListingReason"**: string, **"acquirerAssignedMerchantID"**: string, **"businessRegistrationNumber"**: string, **"paymentFacilitatorCountryOrRegion"**: string }, **"terminatedRecordMatch"**: { **"taxID"**: string, **"DBAName"**: string, **"legalName"**: string, **"addressMatch"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"webAddresses"**: string, **"principalsMatch"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"tradeOverInternet"**: string, **"financialAcctsMatch"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: string, **"merchantCategoryCodes"**: string, **"businessRegistrationNumber"**: string }, **"acquirerCountryOrRegion"**: string } ] |  | No |
| totalAlertCount | integer | Total number of matched records for a retroactive alert. | No |

#### retroSearchRequestAndAlerts Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| retroSearchRequestAndAlerts | [ { **"alertDate"**: string, **"searchDate"**: string, **"possibleMatches"**: { **"alertRecords"**: [ { **"acquirerBID"**: string, **"acquirerName"**: string, **"terminatedRefID"**: string, **"terminatedRecord"**: { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"cardAcceptorIDs"**: [ string ], **"contractEndDate"**: string, **"contractStartDate"**: string, **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"incorportationStatus"**: string, **"primaryListingReason"**: string, **"tradeInternationally"**: boolean, **"merchantCategoryCodes"**: [ string ], **"paymentFacilitatorBID"**: string, **"secondaryListingReason"**: string, **"acquirerAssignedMerchantID"**: string, **"businessRegistrationNumber"**: string, **"paymentFacilitatorCountryOrRegion"**: string }, **"terminatedRecordMatch"**: { **"taxID"**: string, **"DBAName"**: string, **"legalName"**: string, **"addressMatch"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"webAddresses"**: string, **"principalsMatch"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"tradeOverInternet"**: string, **"financialAcctsMatch"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: string, **"merchantCategoryCodes"**: string, **"businessRegistrationNumber"**: string }, **"acquirerCountryOrRegion"**: string } ], **"totalAlertCount"**: integer }, **"retroSearchRequest"**: { **"acquirerBID"**: string, **"globalSearch"**: boolean, **"acquirerCountryOrRegion"**: string, **"retroSearchRequestRefID"**: string, **"terminatedRecordSearchCriteria"**: { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"merchantCategoryCodes"**: [ string ], **"businessRegistrationNumber"**: string } } } ] |  |  |

#### principalsSearchCriteria Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| principalsSearchCriteria | [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ] |  |  |

#### retroSearchRequest Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| acquirerBID | string | Visa assigned Business Identifier (BID) of the Acquirer for the Search request.<br>*Example:* `"10048640"` | No |
| globalSearch | boolean | An indicator identifying if the inquiry is worldwide or regional based. True means Global Search and False means Regional Search.<br>*Example:* `false` | No |
| acquirerCountryOrRegion | string | The country of the Acquirer for the Search request.<br>*Example:* `"JP"` | No |
| retroSearchRequestRefID | string | A system-generated retroactive search identification number.<br>*Example:* `"SRCH123412"` | No |
| terminatedRecordSearchCriteria | { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"merchantCategoryCodes"**: [ string ], **"businessRegistrationNumber"**: string } |  | No |

#### searchTerminatedRequestRequest Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| searchTerminatedRequest | { **"acquirerBID"**: string, **"globalSearch"**: boolean, **"retroAlertIfNoMatch"**: boolean, **"acquirerCountryOrRegion"**: string, **"terminatedRecordSearchCriteria"**: { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"merchantCategoryCodes"**: [ string ], **"businessRegistrationNumber"**: string } } |  | No |

#### searchRequestRef Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| acquirerBID | string | Visa assigned Business Identifier (BID) of the Acquirer for the Search request.<br>*Example:* `"10048640"` | Yes |
| globalSearch | boolean | An indicator identifying if the inquiry is worldwide or regional based. True means Global Search and False means Regional Search.<br>*Example:* `false` | No |
| searchRequestRefID | string | A system-generated Search request reference id.<br>*Example:* `"SRCH123412"` | No |
| acquirerCountryOrRegion | string | The country of the Acquirer for the Search request.<br>*Example:* `"JP"` | Yes |
| terminatedRecordSearchCriteria | { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"merchantCategoryCodes"**: [ string ], **"businessRegistrationNumber"**: string } |  | No |

#### principalRecord-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| SSN | string | The merchant or agent principal's/owner's social security number or the empty string if no match | No |
| name | string | The name of the individual that is registered as the merchant or agent principal/owner or the empty string if no match<br>*Example:* `"Bill Smith"` | Yes |
| principalID | string | The merchant or agent principal's/owner's id from VMSS 1.0 or the empty string if no match<br>*Example:* `"07043453"` | No |
| passportNumber | string | The merchant or agent principal's/owner's passport number or the empty string if no match<br>*Example:* `"07043453"` | No |
| businessPhoneNumber | string | The merchant or agent principal's/owner's corporate/business contact number or the empty string if no match<br>*Example:* `"+861071111222"` | No |
| driverLicenseNumber | string | The merchant or agent principal's/owner's driver license number or the empty string if no match<br>*Example:* `"07043453"` | No |
| businessEmailAddress | string | The corporate/business email address (Max 254 chars) of the merchant or agent principal /owner or the empty string if no match<br>*Example:* `"billsmith@snapphoto.com"` | No |
| residentIDOrNationalID | string | The merchant or agent principal's/owner's resident ID number or National ID number  or the empty string if no match.<br>*Example:* `"07043453"` | No |

#### terminatedRecordSearchCriteria Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| taxID | string | A Tax Identification Code registered for the merchant or agent; for example, a Value Added Tax (VAT) Number in the UK or a Federal Tax ID Number in US.<br>*Example:* `"GB123456789"` | No |
| DBAName | string | The “Doing-Business-As” Name that the merchant or agent operates under.<br>*Example:* `"Snap Photoshop Ltd"` | Yes |
| address | { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string } |  | Yes |
| category | string | Business Category of the Terminated Record defined as follows: 0 = Merchant 1 = Payment Facilitator 2 = Independent Sales Organization 3 = Marketplace 4 = Staged Digital Wallet Operator 5 = Sponsored Merchant<br>*Example:* `"1"` | Yes |
| legalName | string | The parent or holding company legally registered name if this name is different from the Trading Name/DBA Name. For a sole proprietor, this field shall be omitted.<br>*Example:* `"Snap Photoshop Ltd"` | No |
| principals | [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ] |  | Yes |
| webAddresses | [ string ] | The registered web address of the merchant or agent. You may enter up to 3 web addresses. Each web address should be between 4 and 84 characters in length. A web address is required when tradeOverInternet is true. | No |
| financialAccts | [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ] |  | No |
| tradeOverInternet | boolean | An indicator identifying if the merchant or agent trades over the Internet.<br>*Example:* `false` | Yes |
| businessEmailAddress | string | The corporate/business email address (Max 254 chars) of the merchant or agent principal /owner.<br>*Example:* `"billsmith@snapphoto.com"` | No |
| businessPhoneNumbers | [ string ] | The primary phone number registered for the merchant or agent. You may enter up to 3 phone numbers. | Yes |
| merchantCategoryCodes | [ string ] | A four-digit numeric code describing the merchant’s type of business product or service, also known as the merchant category code (MCC). | No |
| businessRegistrationNumber | string | A Business Registration Number such as Commercial Registration, Ministry of Commerce certificate number or equivalent registration number for the merchant or agent.<br>*Example:* `"452349600005"` | No |

#### searchTerminatedResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| possibleMatches | { **"totalCount"**: integer, **"matchedRecords"**: [ { **"acquirerBID"**: string, **"acquirerName"**: string, **"terminatedRefID"**: string, **"terminatedRecord"**: { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"cardAcceptorIDs"**: [ string ], **"contractEndDate"**: string, **"contractStartDate"**: string, **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"incorportationStatus"**: string, **"primaryListingReason"**: string, **"tradeInternationally"**: boolean, **"merchantCategoryCodes"**: [ string ], **"paymentFacilitatorBID"**: string, **"secondaryListingReason"**: string, **"acquirerAssignedMerchantID"**: string, **"businessRegistrationNumber"**: string, **"paymentFacilitatorCountryOrRegion"**: string }, **"terminatedRecordMatch"**: { **"taxID"**: string, **"DBAName"**: string, **"legalName"**: string, **"addressMatch"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"webAddresses"**: string, **"principalsMatch"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"tradeOverInternet"**: string, **"financialAcctsMatch"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: string, **"merchantCategoryCodes"**: string, **"businessRegistrationNumber"**: string }, **"acquirerCountryOrRegion"**: string } ] } |  | No |
| searchRequestRef | { **"acquirerBID"**: string, **"globalSearch"**: boolean, **"searchRequestRefID"**: string, **"acquirerCountryOrRegion"**: string, **"terminatedRecordSearchCriteria"**: { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"merchantCategoryCodes"**: [ string ], **"businessRegistrationNumber"**: string } } |  | No |

#### financialAcct Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| intBankAccountNumber | string | An International Bank Account Number that can be verified by a checksum.<br>*Example:* `"NO8330001234567"` | No |
| financialAccountNumber | string | A code assigned by a financial institution to uniquely identify a customer account within the financial institution. <br>*Example:* `"8090765400"` | No |
| financialInstitutionID | string | A unique code that identifies a Financial Institution; for example, Sort Code, SWIFT, Routing Number.<br>*Example:* `"101010"` | No |

#### principalsMatc Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| SSN | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |
| name | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |
| principalID | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |
| passportNumber | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |
| businessPhoneNumber | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |
| driverLicenseNumber | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |
| businessEmailAddress | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |
| residentIDOrNationalID | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |

#### retroAlertTerminatedResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| status | { **"statusCode"**: string, **"statusDescription"**: string } |  | No |
| retroAlertsResponse | { **"pageSize"**: integer, **"pageOffset"**: integer, **"retroSearchRequestAndAlerts"**: [ { **"alertDate"**: string, **"searchDate"**: string, **"possibleMatches"**: { **"alertRecords"**: [ { **"acquirerBID"**: string, **"acquirerName"**: string, **"terminatedRefID"**: string, **"terminatedRecord"**: { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"cardAcceptorIDs"**: [ string ], **"contractEndDate"**: string, **"contractStartDate"**: string, **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"incorportationStatus"**: string, **"primaryListingReason"**: string, **"tradeInternationally"**: boolean, **"merchantCategoryCodes"**: [ string ], **"paymentFacilitatorBID"**: string, **"secondaryListingReason"**: string, **"acquirerAssignedMerchantID"**: string, **"businessRegistrationNumber"**: string, **"paymentFacilitatorCountryOrRegion"**: string }, **"terminatedRecordMatch"**: { **"taxID"**: string, **"DBAName"**: string, **"legalName"**: string, **"addressMatch"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"webAddresses"**: string, **"principalsMatch"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"tradeOverInternet"**: string, **"financialAcctsMatch"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: string, **"merchantCategoryCodes"**: string, **"businessRegistrationNumber"**: string }, **"acquirerCountryOrRegion"**: string } ], **"totalAlertCount"**: integer }, **"retroSearchRequest"**: { **"acquirerBID"**: string, **"globalSearch"**: boolean, **"acquirerCountryOrRegion"**: string, **"retroSearchRequestRefID"**: string, **"terminatedRecordSearchCriteria"**: { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"merchantCategoryCodes"**: [ string ], **"businessRegistrationNumber"**: string } } } ], **"numSearchRequestRecordsTotal"**: integer, **"numSearchRequestRecordsReturned"**: integer } |  | No |

#### terminatedRecordSearchCriteria-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| taxID | string | A Tax Identification Code registered for the merchant or agent; for example, a Value Added Tax (VAT) Number in the UK or a Federal Tax ID Number in US.<br>*Example:* `"GB123456789"` | No |
| DBAName | string | The “Doing-Business-As” Name that the merchant or agent operates under.<br>*Example:* `"Snap Photoshop Ltd"` | Yes |
| address | { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string } |  | Yes |
| category | string | Business Category of the Terminated Record defined as follows: 0 = Merchant 1 = Payment Facilitator 2 = Independent Sales Organization 3 = Marketplace 4 = Staged Digital Wallet Operator 5 = Sponsored Merchant<br>*Example:* `"1"` | Yes |
| legalName | string | The parent or holding company legally registered name if this name is different from the Trading Name/DBA Name. For a sole proprietor, this field shall be omitted.<br>*Example:* `"Snap Photoshop Ltd"` | No |
| principals | [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ] |  | Yes |
| webAddresses | [ string ] | The registered web address of the merchant or agent. You may enter up to 3 web addresses. Each web address should be between 4 and 84 characters in length. A web address is required when tradeOverInternet is true. | No |
| financialAccts | [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ] |  | No |
| tradeOverInternet | boolean | An indicator identifying if the merchant or agent trades over the Internet.<br>*Example:* `false` | Yes |
| businessEmailAddress | string | The corporate/business email address (Max 254 chars) of the merchant or agent principal /owner.<br>*Example:* `"billsmith@snapphoto.com"` | No |
| businessPhoneNumbers | [ string ] | The primary phone number registered for the merchant or agent. You may enter up to 3 phone numbers. | Yes |
| merchantCategoryCodes | [ string ] | A four-digit numeric code describing the merchant’s type of business product or service, also known as the merchant category code (MCC). | No |
| businessRegistrationNumber | string | A Business Registration Number such as Commercial Registration, Ministry of Commerce certificate number or equivalent registration number for the merchant or agent.<br>*Example:* `"452349600005"` | No |

#### terminatedRecord-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| taxID | string | A Tax Identification Code registered for the merchant or agent; for example, a Value Added Tax (VAT) Number in the UK or a Federal Tax ID Number in US.<br>*Example:* `"GB123456789"` | No |
| DBAName | string | The “Doing-Business-As” Name that the merchant or agent operates under.<br>*Example:* `"Snap Photoshop Ltd"` | Yes |
| address | { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string } |  | Yes |
| category | string | Business Category of the Terminated Record defined as follows: 0 = Merchant 1 = Payment Facilitator 2 = Independent Sales Organization 3 = Marketplace 4 = Staged Digital Wallet Operator 5 = Sponsored Merchant<br>*Example:* `"1"` | Yes |
| legalName | string | The parent or holding company legally registered name if this name is different from the Trading Name/DBA Name. For a sole proprietor, this field shall be omitted.<br>*Example:* `"Snap Photoshop Ltd"` | No |
| principals | [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ] |  | Yes |
| webAddresses | [ string ] | The registered web address of the merchant or agent. You may enter up to 3 web addresses. Each web address should be between 4 and 84 characters in length. A web address is required when tradeOverInternet is true. | No |
| financialAccts | [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ] |  | No |
| cardAcceptorIDs | [ string ] | A unique reference identifying the sales establishment requesting the transaction. You may enter up to 5 Card Acceptor IDs. | Yes |
| contractEndDate | string | The date on which the merchant's or agent's contract agreement was terminated.<br>*Example:* `"2019-11-14"` | Yes |
| contractStartDate | string | The date on which the merchant's or agent's contract agreement was granted.<br>*Example:* `"2019-11-01"` | Yes |
| tradeOverInternet | boolean | An indicator identifying if the merchant or agent trades over the Internet.<br>*Example:* `false` | Yes |
| businessEmailAddress | string | The corporate/business email address (Max 254 chars) of the merchant or agent principal /owner.<br>*Example:* `"billsmith@snapphoto.com"` | No |
| businessPhoneNumbers | [ string ] | The primary phone number registered for the merchant or agent. You may enter up to 3 phone numbers. | Yes |
| incorportationStatus | string | The incorporation status registered for the merchant or agent defined as follows: 1 = Individual/Sole Proprietor 2 = Partnership 3 = Corporation 4 = Medical or Legal Corporation 5 = Association / Estate / Trust 6 = Non-Profit Organization -1 = Unknown (returned for legacy listings)<br>*Example:* `"3"` | Yes |
| primaryListingReason | string | The primary reason for the termination of the merchant's or agent's contract.<br>*Example:* `"29-Bankruptcy/Liquidation/Insolvency"` | Yes |
| tradeInternationally | boolean | An indicator identifying if the merchant or agent trades across international borders or territories.<br>*Example:* `true` | Yes |
| merchantCategoryCodes | [ string ] | A four-digit numeric code describing the merchant’s type of business product or service, also known as the merchant category code (MCC). | No |
| paymentFacilitatorBID | string | The business ID as registered with Visa to uniquely identify a payment facilitator.<br>*Example:* `"10000108"` | No |
| secondaryListingReason | string | The secondary reason for the termination of the merchant's or agent's contract.<br>*Example:* `"34-Merchant Identity Theft"` | No |
| acquirerAssignedMerchantID | string | A unique Merchant Identification Number assigned by the Acquirer or by the Payment Facilitator in the case of a Sponsored Merchant. Mandatory for Merchant.<br>*Example:* `"36654773"` | No |
| businessRegistrationNumber | string | A Business Registration Number such as Commercial Registration, Ministry of Commerce certificate number or equivalent registration number for the merchant or agent.<br>*Example:* `"452349600005"` | No |
| paymentFacilitatorCountryOrRegion | string | The country of the payment facilitator.<br>*Example:* `"JP"` | No |

#### financialAcct-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| intBankAccountNumber | string | An International Bank Account Number that can be verified by a checksum.<br>*Example:* `"NO8330001234567"` | No |
| financialAccountNumber | string | A code assigned by a financial institution to uniquely identify a customer account within the financial institution.<br>*Example:* `"8090765400"` | No |
| financialInstitutionID | string | A unique code that identifies a Financial Institution; for example, Sort Code, SWIFT, Routing Number.<br>*Example:* `"101010"` | No |

#### address Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| city | string | The city of the merchant's or agent's registered address.<br>*Example:* `"St Albans"` | Yes |
| streetAddress | string | The street details of the merchant's or agent's registered address that should include, in this order as applicable: building number/name, street number and name, shop number, floor number.<br>*Example:* `"80 Wood Street"` | Yes |
| countryOrRegion | string | The country of the merchant's or agent's registered address.<br>*Example:* `"JP"` | Yes |
| stateOrProvince | string | The state or province of the merchant's or agent's registered address.<br>*Example:* `"CA"` | No |
| zipOrPostalCode | string | The postal code or zip code for the merchant's or agent's registered address.<br>*Example:* `"SA82GF"` | No |

#### principalSearchCriteria Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| SSN | string | The merchant or agent principal's/owner's social security number. | No |
| name | string | The name of the individual that is registered as the merchant or agent principal/owner.<br>*Example:* `"Bill Smith"` | Yes |
| principalID | string | The merchant or agent principal's/owner's id from VMSS 1.0.<br>*Example:* `"07043453"` | No |
| passportNumber | string | The merchant or agent principal's/owner's passport number. <br>*Example:* `"07043453"` | No |
| businessPhoneNumber | string | The merchant or agent principal's/owner's corporate/business contact number. <br>*Example:* `"+861071111222"` | No |
| driverLicenseNumber | string | The merchant or agent principal's/owner's driver license number.<br>*Example:* `"07043453"` | No |
| businessEmailAddress | string | The corporate/business email address (Max 254 chars) of the merchant or agent principal /owner.<br>*Example:* `"billsmith@snapphoto.com"` | No |
| residentIDOrNationalID | string | The merchant or agent principal's/owner's resident ID number or National ID number. This is required for clients in CEMEA.<br>*Example:* `"07043453"` | No |

#### financialAcctsMatc Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| intBankAccountNumber | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |
| financialAccountNumber | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |
| financialInstitutionID | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |

#### alertRecord Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| acquirerBID | string | Visa assigned Business Identifier (BID) of the Acquirer for the terminated contract.<br>*Example:* `"Bank of ABC "` | No |
| acquirerName | string | Name of the Acquirer for the terminated contract.<br>*Example:* `"61e8aa42-d252-4e74-9dcc-85134f37a181"` | No |
| terminatedRefID | string | A system-generated terminated record reference identification number.<br>*Example:* `"10048640"` | No |
| terminatedRecord | { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"cardAcceptorIDs"**: [ string ], **"contractEndDate"**: string, **"contractStartDate"**: string, **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"incorportationStatus"**: string, **"primaryListingReason"**: string, **"tradeInternationally"**: boolean, **"merchantCategoryCodes"**: [ string ], **"paymentFacilitatorBID"**: string, **"secondaryListingReason"**: string, **"acquirerAssignedMerchantID"**: string, **"businessRegistrationNumber"**: string, **"paymentFacilitatorCountryOrRegion"**: string } |  | No |
| terminatedRecordMatch | { **"taxID"**: string, **"DBAName"**: string, **"legalName"**: string, **"addressMatch"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"webAddresses"**: string, **"principalsMatch"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"tradeOverInternet"**: string, **"financialAcctsMatch"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: string, **"merchantCategoryCodes"**: string, **"businessRegistrationNumber"**: string } |  | No |
| acquirerCountryOrRegion | string | The country of the Acquirer for the terminated contract. <br>*Example:* `"JP"` | No |

#### principalRecord Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| SSN | string | The merchant or agent principal's/owner's social security number or the empty string if no match. | No |
| name | string | The name of the individual that is registered as the merchant or agent principal/owner or the empty string if no match.<br>*Example:* `"Bill Smith"` | Yes |
| principalID | string | The merchant or agent principal's/owner's id from VMSS 1.0 or the empty string if no match.<br>*Example:* `"07043453"` | No |
| passportNumber | string | The merchant or agent principal's/owner's passport number or the empty string if no match.<br>*Example:* `"07043453"` | No |
| businessPhoneNumber | string | The merchant or agent principal's/owner's corporate/business contact number or the empty string if no match.<br>*Example:* `"+861071111222"` | No |
| driverLicenseNumber | string | The merchant or agent principal's/owner's driver license number or the empty string if no match.<br>*Example:* `"07043453"` | No |
| businessEmailAddress | string | The corporate/business email address (Max 254 chars) of the merchant or agent principal /owner or the empty string if no match.<br>*Example:* `"billsmith@snapphoto.com"` | No |
| residentIDOrNationalID | string | The merchant or agent principal's/owner's resident ID number or National ID number or the empty string if no match.<br>*Example:* `"07043453"` | No |

#### retroAlertsResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| pageSize | integer | The maximum number of matched records to retrieve within the current page of retroactive alerts. | No |
| pageOffset | integer | Pagination can be supported using pageOffet and pageSize. An offset is simply the number of matched records you wish to skip before selecting records. The zero-based offset to start at. An offset of 10 starts at the 11th record.  | No |
| retroSearchRequestAndAlerts | [ { **"alertDate"**: string, **"searchDate"**: string, **"possibleMatches"**: { **"alertRecords"**: [ { **"acquirerBID"**: string, **"acquirerName"**: string, **"terminatedRefID"**: string, **"terminatedRecord"**: { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"cardAcceptorIDs"**: [ string ], **"contractEndDate"**: string, **"contractStartDate"**: string, **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"incorportationStatus"**: string, **"primaryListingReason"**: string, **"tradeInternationally"**: boolean, **"merchantCategoryCodes"**: [ string ], **"paymentFacilitatorBID"**: string, **"secondaryListingReason"**: string, **"acquirerAssignedMerchantID"**: string, **"businessRegistrationNumber"**: string, **"paymentFacilitatorCountryOrRegion"**: string }, **"terminatedRecordMatch"**: { **"taxID"**: string, **"DBAName"**: string, **"legalName"**: string, **"addressMatch"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"webAddresses"**: string, **"principalsMatch"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"tradeOverInternet"**: string, **"financialAcctsMatch"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: string, **"merchantCategoryCodes"**: string, **"businessRegistrationNumber"**: string }, **"acquirerCountryOrRegion"**: string } ], **"totalAlertCount"**: integer }, **"retroSearchRequest"**: { **"acquirerBID"**: string, **"globalSearch"**: boolean, **"acquirerCountryOrRegion"**: string, **"retroSearchRequestRefID"**: string, **"terminatedRecordSearchCriteria"**: { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"merchantCategoryCodes"**: [ string ], **"businessRegistrationNumber"**: string } } } ] |  | No |
| numSearchRequestRecordsTotal | integer | Total number of search request records with retroactive alerts generated in the requested alert date range. | No |
| numSearchRequestRecordsReturned | integer | Number of search request records with retroactive alerts returned in the response. | No |

#### possibleMatches-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| totalCount | integer | Number of possibly matched records returned in the response. | No |
| matchedRecords | [ { **"acquirerBID"**: string, **"acquirerName"**: string, **"terminatedRefID"**: string, **"terminatedRecord"**: { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"cardAcceptorIDs"**: [ string ], **"contractEndDate"**: string, **"contractStartDate"**: string, **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"incorportationStatus"**: string, **"primaryListingReason"**: string, **"tradeInternationally"**: boolean, **"merchantCategoryCodes"**: [ string ], **"paymentFacilitatorBID"**: string, **"secondaryListingReason"**: string, **"acquirerAssignedMerchantID"**: string, **"businessRegistrationNumber"**: string, **"paymentFacilitatorCountryOrRegion"**: string }, **"terminatedRecordMatch"**: { **"taxID"**: string, **"DBAName"**: string, **"legalName"**: string, **"addressMatch"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"webAddresses"**: string, **"principalsMatch"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"tradeOverInternet"**: string, **"financialAcctsMatch"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: string, **"merchantCategoryCodes"**: string, **"businessRegistrationNumber"**: string }, **"acquirerCountryOrRegion"**: string } ] |  | No |

#### terminatedRecordMatch Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| taxID | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |
| DBAName | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |
| legalName | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |
| addressMatch | { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string } |  | No |
| webAddresses | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |
| principalsMatch | [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ] |  | No |
| tradeOverInternet | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |
| financialAcctsMatch | [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ] |  | No |
| businessEmailAddress | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |
| businessPhoneNumbers | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |
| merchantCategoryCodes | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |
| businessRegistrationNumber | string | The indicator of the match type for the data field. N = No Match E = Exact Match P = Partial Match<br>*Example:* `"N"` | No |

#### principalsSearchCriteria-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| principalsSearchCriteria-1 | [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ] |  |  |

#### principalsMatch Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| principalsMatch | [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ] |  |  |

#### matchedRecords Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| matchedRecords | [ { **"acquirerBID"**: string, **"acquirerName"**: string, **"terminatedRefID"**: string, **"terminatedRecord"**: { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"cardAcceptorIDs"**: [ string ], **"contractEndDate"**: string, **"contractStartDate"**: string, **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"incorportationStatus"**: string, **"primaryListingReason"**: string, **"tradeInternationally"**: boolean, **"merchantCategoryCodes"**: [ string ], **"paymentFacilitatorBID"**: string, **"secondaryListingReason"**: string, **"acquirerAssignedMerchantID"**: string, **"businessRegistrationNumber"**: string, **"paymentFacilitatorCountryOrRegion"**: string }, **"terminatedRecordMatch"**: { **"taxID"**: string, **"DBAName"**: string, **"legalName"**: string, **"addressMatch"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"webAddresses"**: string, **"principalsMatch"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"tradeOverInternet"**: string, **"financialAcctsMatch"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: string, **"merchantCategoryCodes"**: string, **"businessRegistrationNumber"**: string }, **"acquirerCountryOrRegion"**: string } ] |  |  |

#### financialAcctsMatch Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| financialAcctsMatch | [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ] |  |  |

#### searchTerminatedRequestResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| status | { **"statusCode"**: string, **"statusDescription"**: string } |  | No |
| searchTerminatedResponse | { **"possibleMatches"**: { **"totalCount"**: integer, **"matchedRecords"**: [ { **"acquirerBID"**: string, **"acquirerName"**: string, **"terminatedRefID"**: string, **"terminatedRecord"**: { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"cardAcceptorIDs"**: [ string ], **"contractEndDate"**: string, **"contractStartDate"**: string, **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"incorportationStatus"**: string, **"primaryListingReason"**: string, **"tradeInternationally"**: boolean, **"merchantCategoryCodes"**: [ string ], **"paymentFacilitatorBID"**: string, **"secondaryListingReason"**: string, **"acquirerAssignedMerchantID"**: string, **"businessRegistrationNumber"**: string, **"paymentFacilitatorCountryOrRegion"**: string }, **"terminatedRecordMatch"**: { **"taxID"**: string, **"DBAName"**: string, **"legalName"**: string, **"addressMatch"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"webAddresses"**: string, **"principalsMatch"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"tradeOverInternet"**: string, **"financialAcctsMatch"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: string, **"merchantCategoryCodes"**: string, **"businessRegistrationNumber"**: string }, **"acquirerCountryOrRegion"**: string } ] }, **"searchRequestRef"**: { **"acquirerBID"**: string, **"globalSearch"**: boolean, **"searchRequestRefID"**: string, **"acquirerCountryOrRegion"**: string, **"terminatedRecordSearchCriteria"**: { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"merchantCategoryCodes"**: [ string ], **"businessRegistrationNumber"**: string } } } |  | No |

#### financialAccts Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| financialAccts | [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ] |  |  |

#### retroAlertsRequest Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| pageSize | integer | The maximum number of matched records to retrieve within the current page of retroactive alerts. | No |
| pageOffset | integer | Pagination can be supported using pageOffet and pageSize. An offset is simply the number of matched records you wish to skip before selecting records. The zero-based offset to start at. An offset of 10 starts at the 11th record.  | No |
| acquirerBID | string | Visa assigned Business Identifier (BID) of the Acquirer.<br>*Example:* `"10048640"` | Yes |
| alertEndDate | string | Add an end date in the alert date range filter to retrieve the retroactive alerts generated for the inquiries performed by you or a colleague in your organization.<br>*Example:* `"2029-06-30"` | Yes |
| alertStartDate | string | Add a start date in the alert date range filter to retrieve the retroactive alerts generated for the inquiries performed by you or a colleague in your organization.<br>*Example:* `"2019-01-01"` | Yes |
| acquirerCountryOrRegion | string | The country of the Acquirer.<br>*Example:* `"JP"` | Yes |

#### terminatedRecord Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| taxID | string | A Tax Identification Code registered for the merchant or agent; for example, a Value Added Tax (VAT) Number in the UK or a Federal Tax ID Number in US.<br>*Example:* `"GB123456789"` | No |
| DBAName | string | The “Doing-Business-As” Name that the merchant or agent operates under.<br>*Example:* `"Snap Photoshop Ltd"` | Yes |
| address | { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string } |  | Yes |
| category | string | Business Category of the Terminated Record defined as follows: 0 = Merchant 1 = Payment Facilitator 2 = Independent Sales Organization 3 = Marketplace 4 = Staged Digital Wallet Operator 5 = Sponsored Merchant<br>*Example:* `"1"` | Yes |
| legalName | string | The parent or holding company legally registered name if this name is different from the Trading Name/DBA Name. For a sole proprietor, this field shall be omitted.<br>*Example:* `"Snap Photoshop Ltd"` | No |
| principals | [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ] |  | Yes |
| webAddresses | [ string ] | The registered web address of the merchant or agent. You may enter up to 3 web addresses. Each web address should be between 4 and 84 characters in length. A web address is required when tradeOverInternet is true. | No |
| financialAccts | [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ] |  | No |
| cardAcceptorIDs | [ string ] | A unique reference identifying the sales establishment requesting the transaction. You may enter up to 5 Card Acceptor IDs. | Yes |
| contractEndDate | string | The date on which the merchant's or agent's contract agreement was terminated.<br>*Example:* `"2019-11-14"` | Yes |
| contractStartDate | string | The date on which the merchant's or agent's contract agreement was granted.<br>*Example:* `"2019-11-01"` | Yes |
| tradeOverInternet | boolean | An indicator identifying if the merchant or agent trades over the Internet.<br>*Example:* `false` | Yes |
| businessEmailAddress | string | The corporate/business email address (Max 254 chars) of the merchant or agent principal /owner.<br>*Example:* `"billsmith@snapphoto.com"` | No |
| businessPhoneNumbers | [ string ] | The primary phone number registered for the merchant or agent. You may enter up to 3 phone numbers. | Yes |
| incorportationStatus | string | The incorporation status registered for the merchant or agent defined as follows: 1 = Individual/Sole Proprietor 2 = Partnership 3 = Corporation 4 = Medical or Legal Corporation 5 = Association / Estate / Trust 6 = Non-Profit Organization -1 = Unknown (returned for legacy listings)<br>*Example:* `"3"` | Yes |
| primaryListingReason | string | The primary reason for the termination of the merchant's or agent's contract.<br>*Example:* `"29-Bankruptcy/Liquidation/Insolvency"` | Yes |
| tradeInternationally | boolean | An indicator identifying if the merchant or agent trades across international borders or territories.<br>*Example:* `true` | Yes |
| merchantCategoryCodes | [ string ] | A four-digit numeric code describing the merchant’s type of business product or service, also known as the merchant category code (MCC). | No |
| paymentFacilitatorBID | string | The business ID as registered with Visa to uniquely identify a payment facilitator.<br>*Example:* `"10000108"` | No |
| secondaryListingReason | string | The secondary reason for the termination of the merchant's or agent's contract.<br>*Example:* `"34-Merchant Identity Theft"` | No |
| acquirerAssignedMerchantID | string | A unique Merchant Identification Number assigned by the Acquirer or by the Payment Facilitator in the case of a Sponsored Merchant. Mandatory for Merchant.<br>*Example:* `"36654773"` | No |
| businessRegistrationNumber | string | A Business Registration Number such as Commercial Registration, Ministry of Commerce certificate number or equivalent registration number for the merchant or agent.<br>*Example:* `"452349600005"` | No |
| paymentFacilitatorCountryOrRegion | string | The country of the payment facilitator.<br>*Example:* `"JP"` | No |

#### financialAccts-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| financialAccts-1 | [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ] |  |  |

#### principalSearchCriteria-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| SSN | string | The merchant or agent principal's/owner's social security number. | No |
| name | string | The name of the individual that is registered as the merchant or agent principal/owner.<br>*Example:* `"Bill Smith"` | Yes |
| principalID | string | The merchant or agent principal's/owner's id from VMSS 1.0.<br>*Example:* `"07043453"` | No |
| passportNumber | string | The merchant or agent principal's/owner's passport number. <br>*Example:* `"07043453"` | No |
| businessPhoneNumber | string | The merchant or agent principal's/owner's corporate/business contact number.<br>*Example:* `"+861071111222"` | No |
| driverLicenseNumber | string | The merchant or agent principal's/owner's driver license number.<br>*Example:* `"07043453"` | No |
| businessEmailAddress | string | The corporate/business email address (Max 254 chars) of the merchant or agent principal /owner.<br>*Example:* `"billsmith@snapphoto.com"` | No |
| residentIDOrNationalID | string | The merchant or agent principal's/owner's resident ID number or National ID number. This is required for clients in CEMEA.<br>*Example:* `"07043453"` | No |

#### address-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| city | string | The city of the merchant's or agent's registered address.<br>*Example:* `"St Albans"` | Yes |
| streetAddress | string | The street details of the merchant's or agent's registered address that should include, in this order as applicable: building number/name, street number and name, shop number, floor number.<br>*Example:* `"80 Wood Street"` | Yes |
| countryOrRegion | string | The country of the merchant's or agent's registered address.<br>*Example:* `"JP"` | Yes |
| stateOrProvince | string | The state or province of the merchant's or agent's registered address.<br>*Example:* `"CA"` | No |
| zipOrPostalCode | string | The postal code or zip code for the merchant's or agent's registered address.<br>*Example:* `"SA82GF"` | No |

#### retroSearchRequestAndAlert Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| alertDate | string | The date on which the retroactive alert was generated.<br>*Example:* `"2019-02-01"` | No |
| searchDate | string | The original Search request date.<br>*Example:* `"2018-12-01"` | No |
| possibleMatches | { **"alertRecords"**: [ { **"acquirerBID"**: string, **"acquirerName"**: string, **"terminatedRefID"**: string, **"terminatedRecord"**: { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"cardAcceptorIDs"**: [ string ], **"contractEndDate"**: string, **"contractStartDate"**: string, **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"incorportationStatus"**: string, **"primaryListingReason"**: string, **"tradeInternationally"**: boolean, **"merchantCategoryCodes"**: [ string ], **"paymentFacilitatorBID"**: string, **"secondaryListingReason"**: string, **"acquirerAssignedMerchantID"**: string, **"businessRegistrationNumber"**: string, **"paymentFacilitatorCountryOrRegion"**: string }, **"terminatedRecordMatch"**: { **"taxID"**: string, **"DBAName"**: string, **"legalName"**: string, **"addressMatch"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"webAddresses"**: string, **"principalsMatch"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"tradeOverInternet"**: string, **"financialAcctsMatch"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: string, **"merchantCategoryCodes"**: string, **"businessRegistrationNumber"**: string }, **"acquirerCountryOrRegion"**: string } ], **"totalAlertCount"**: integer } |  | No |
| retroSearchRequest | { **"acquirerBID"**: string, **"globalSearch"**: boolean, **"acquirerCountryOrRegion"**: string, **"retroSearchRequestRefID"**: string, **"terminatedRecordSearchCriteria"**: { **"taxID"**: string, **"DBAName"**: string, **"address"**: { **"city"**: string, **"streetAddress"**: string, **"countryOrRegion"**: string, **"stateOrProvince"**: string, **"zipOrPostalCode"**: string }, **"category"**: string, **"legalName"**: string, **"principals"**: [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ], **"webAddresses"**: [ string ], **"financialAccts"**: [ { **"intBankAccountNumber"**: string, **"financialAccountNumber"**: string, **"financialInstitutionID"**: string } ], **"tradeOverInternet"**: boolean, **"businessEmailAddress"**: string, **"businessPhoneNumbers"**: [ string ], **"merchantCategoryCodes"**: [ string ], **"businessRegistrationNumber"**: string } } |  | No |

#### principalsRecord-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| principalsRecord-1 | [ { **"SSN"**: string, **"name"**: string, **"principalID"**: string, **"passportNumber"**: string, **"businessPhoneNumber"**: string, **"driverLicenseNumber"**: string, **"businessEmailAddress"**: string, **"residentIDOrNationalID"**: string } ] |  |  |

#### status Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| statusCode | string | Status Code.<br>*Example:* `"API000"` | No |
| statusDescription | string | Status Description.<br>*Example:* `"Success"` | No |
